Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Tie::StdHandle

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Tie::StdHandle

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

Tie::StdHandle - base class definitions for tied handles

# SYNOPSIS

        package NewHandle;    require Tie::Handle;    @ISA = qw(Tie::Handle);    sub READ { ... }		# Provide a needed method    sub TIEHANDLE { ... }	# Overrides inherited method    package main;    tie *FH, 'NewHandle';

# DESCRIPTION

The Tie::StdHandle package provide most methods for file handles described in perltie (the exceptions are `UNTIE` and `DESTROY` ). It causes tied file handles to behave exactly like standard file handles and allow for selective overwriting of methods.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION